import asyncio
import argparse
import logging

from . import ItSyndikatBot
from .config import Config

logging.basicConfig(level=logging.DEBUG)

parser = argparse.ArgumentParser(description="IT-Syndikat matrix bot")
parser.add_argument(
    "-c",
    "--config",
    help="path to the config file",
)

args = parser.parse_args()

bot = ItSyndikatBot(Config(args.config))
asyncio.run(bot.run())
